Subject: Re: [PATCH v2 2/2] tests: add a special setup where rebase.useBuiltin is off

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Wed, 14 Nov 2018 14:58:15 +0100

On Wed, Nov 14 2018, Johannes Schindelin wrote:

> Hi Ævar,
>
> On Wed, 14 Nov 2018, Ævar Arnfjörð Bjarmason wrote:
>
>> Add a GIT_TEST_REBASE_USE_BUILTIN=false test mode which is equivalent
>> to running with rebase.useBuiltin=false. This is needed to spot that
>> we're not introducing any regressions in the legacy rebase version
>> while we're carrying both it and the new builtin version.
>>
>> Signed-off-by: Ævar Arnfjörð Bjarmason <[email-masked]>
>> ---
>>  builtin/rebase.c | 5 ++++-
>>  t/README         | 4 ++++
>>  2 files changed, 8 insertions(+), 1 deletion(-)
>
> I am slightly surprised not to see any ci/ change in this diffstat. Did
> you mean to add a test axis for Travis, or not?

No, but that's a logical follow-up by someone more familiar with the CI
setup. I'm using this so I can test versions of "next" when building my
own package.